# Uses of Class
javax.swing.tree.AbstractLayoutCache.NodeDimensions

Packages that use AbstractLayoutCache.NodeDimensions
Package
Description
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

- ## Uses of AbstractLayoutCache.NodeDimensions in javax.swing.plaf.basic

  Subclasses of AbstractLayoutCache.NodeDimensions in javax.swing.plaf.basic
  Modifier and Type
  Class
  Description
  `class`
  `BasicTreeUI.NodeDimensionsHandler`
  Class responsible for getting size of node, method is forwarded to BasicTreeUI method.
  Fields in javax.swing.plaf.basic declared as AbstractLayoutCache.NodeDimensions
  Modifier and Type
  Field
  Description
  `protected AbstractLayoutCache.NodeDimensions`
  BasicTreeUI.`nodeDimensions`
  Responsible for telling the TreeState the size needed for a node.
  Methods in javax.swing.plaf.basic that return AbstractLayoutCache.NodeDimensions
  Modifier and Type
  Method
  Description
  `protected AbstractLayoutCache.NodeDimensions`
  BasicTreeUI.`createNodeDimensions()`
  Creates an instance of `NodeDimensions` that is able to determine the size of a given node in the tree.

- ## Uses of AbstractLayoutCache.NodeDimensions in javax.swing.tree

  Fields in javax.swing.tree declared as AbstractLayoutCache.NodeDimensions
  Modifier and Type
  Field
  Description
  `protected AbstractLayoutCache.NodeDimensions`
  AbstractLayoutCache.`nodeDimensions`
  Object responsible for getting the size of a node.
  Methods in javax.swing.tree that return AbstractLayoutCache.NodeDimensions
  Modifier and Type
  Method
  Description
  `AbstractLayoutCache.NodeDimensions`
  AbstractLayoutCache.`getNodeDimensions()`
  Returns the object that renders nodes in the tree, and which is responsible for calculating the dimensions of individual nodes.
  Methods in javax.swing.tree with parameters of type AbstractLayoutCache.NodeDimensions
  Modifier and Type
  Method
  Description
  `void`
  AbstractLayoutCache.`setNodeDimensions(AbstractLayoutCache.NodeDimensions nd)`
  Sets the renderer that is responsible for drawing nodes in the tree and which is therefore responsible for calculating the dimensions of individual nodes.
  `void`
  VariableHeightLayoutCache.`setNodeDimensions(AbstractLayoutCache.NodeDimensions nd)`
  Sets the renderer that is responsible for drawing nodes in the tree.